com.icesoft.faces.component.panelseries

## Class UISeries

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - javax.faces.component.html.HtmlDataTable
        - - org.icefaces.impl.component.UISeriesBase
          - - com.icesoft.faces.component.panelseries.UISeries

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.icefaces.impl.component.SeriesStateHolder
  Direct Known Subclasses:
    HtmlDataTable, PanelPositioned, PanelSeries, PanelTabSet, Repeat, UIColumns

      public class UISeries
      extends org.icefaces.impl.component.UISeriesBase

  This is an extended version of UIData, which allows any UISeries type of component to have any type of children, it is not restricted to use the column component as a first child.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.impl.component.UISeriesBase

      `org.icefaces.impl.component.UISeriesBase.RowEvent`

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlDataTable

      `javax.faces.component.html.HtmlDataTable.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class org.icefaces.impl.component.UISeriesBase

      `dataModel, savedChildren, savedSeriesState`

    - ### Fields inherited from class javax.faces.component.UIData

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UISeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue()`
    `boolean` | `isRendered()`
    `protected void` | `synchWithPaginator()`
    `protected javax.faces.model.DataModel` | `wrapDataModel(java.lang.Object currentValue)`

    - ### Methods inherited from class org.icefaces.impl.component.UISeriesBase

      `broadcast, encodeBegin, ensureFirstRowInRange, getClientId, getContainerClientId, getDataModel, getRowCount, getRowData, getRowIndex, getSavedChildren, getSavedSeriesState, getVar, getVarStatus, isRowAvailable, iterate, processDecodes, processUpdates, processValidators, queueEvent, restoreChild, restoreChildrenState, restoreChildState, restoreSeriesState, restoreState, saveChild, saveChildrenState, saveChildState, saveSeriesState, saveState, setDataModel, setId, setRowIndex, setValue, setValueBinding, setVar, setVarStatus, visitTree`

    - ### Methods inherited from class javax.faces.component.html.HtmlDataTable

      `getBgcolor, getBodyrows, getBorder, getCaptionClass, getCaptionStyle, getCellpadding, getCellspacing, getColumnClasses, getDefaultEventName, getDir, getEventNames, getFooterClass, getFrame, getHeaderClass, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getStyle, getStyleClass, getSummary, getTitle, getWidth, setBgcolor, setBodyrows, setBorder, setCaptionClass, setCaptionStyle, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setStyle, setStyleClass, setSummary, setTitle, setWidth`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, getFamily, getFirst, getFooter, getHeader, getRows, invokeOnComponent, isRowStatePreserved, markInitialState, setFirst, setFooter, setHeader, setRows, setRowStatePreserved, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UISeries

          public UISeries()

  - ### Method Detail

    - #### wrapDataModel

          protected javax.faces.model.DataModel wrapDataModel(java.lang.Object currentValue)

      Overrides:
        `wrapDataModel` in class `org.icefaces.impl.component.UISeriesBase`

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `javax.faces.component.UIData`

    - #### isRendered

          public boolean isRendered()

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### synchWithPaginator

          protected void synchWithPaginator()

      Overrides:
        `synchWithPaginator` in class `org.icefaces.impl.component.UISeriesBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.